<?php

session_start();
chdir("..");

include "./includes/variables.php";
include "./misc/database.php";
include "password_func.php";
include '/usr/fallback/beroConf.php';

$ba = new beroAri();
require_once("./includes/lang.php");

# pages to redirect
$redir_index	= "/app/berogui/index.php";
$redir_login	= "/app/berogui/includes/login.php";

# get redirection URL
if (isset($_GET['destination'])) {
	$reopen = '&destination=' . htmlspecialchars($_GET['destination'], ENT_QUOTES);
}

# check if user and password are set
if ((strlen(trim($_POST['user'])) == 0) || (strlen((trim($_POST['password']))) == 0)) {
	header('Location:' . $redir_login . '?reason=cred_empty' . ((!empty($reopen)) ? $reopen : ''));
	exit();
}

# extract username and password
$user		= htmlentities($_POST['user'], ENT_QUOTES);
$password	= $_POST['password'];

# check if user is in database
$result = $ba->select('SELECT * FROM users where user=\'' . sqlite_escape_string($user) . '\'');
if (!($row = $ba->fetch_array($result))) {
	header('Location:' . $redir_login . '?reason=cred_user' . ((!empty($reopen)) ? $reopen : ''));
	exit();
}

# check if password is valid
if(!tep_validate_password($password, $row['password'])) {
	header('Location:' . $redir_login . '?reason=cred_pass' . ((!empty($reopen)) ? $reopen : ''));
	exit();
}

# set session-parameters
$_SESSION['beroari_username']	= $row['user'];
$_SESSION['beroari_group']	= $row['group_'];
$_SESSION['beroari_time']	= time();

# check if group is 'users'
if ($row['group_'] == 'users') {
	header('Location:' . $redir_index . '?m=State');
	exit();
}

# open root db, check if ari.db has to be created or if we can read from it
$bc		= new beroConf('root');

// Datenbank Überprüfung ob ISDN/Analog Daten gespeichert sind (wenn nicht, werden die Line Interfaces gelesen).
$query_isdn	= $ba->select("select lif, type from isdn group by lif");
$query_analog	= $ba->select("select lif, type from analog group by lif");
$query_gsm	= $ba->select("select lif, type from gsm group by lif");
$query_cas	= $ba->select("select lif, type from cas group by lif");

if ((sqlite_num_rows($query_isdn) == 0) && (sqlite_num_rows($query_analog) == 0) && (sqlite_num_rows($query_gsm) == 0) && (sqlite_num_rows($query_cas) == 0)) {

	$ba = new beroAri();
	$ba->add_modules_db();
	$ba->enable_portswitch();

	if ($ba->is_error()){
		echo '<script>alert(' . $ba->error() . ');</script>';
	}
}

# open berogui
header('Location:' . (isset($_GET['destination']) ? base64_decode($_GET['destination']) : $redir_index));

?>
